#*********************************************************************************************
#                                 Fait par Kana-chan
#                             Pour l'Alliance Francophone
#                             Version 6.00, le 22 mai 2020 
#                             Première version 22 mai 2020 
#
#                     (Programme de création de la page Alliance.html)
#                 (et des pages de mini-teams et de la page miniteam.html)
#
#*********************************************************************************************

$version = "7.10";
$maintenu = "<a href=\"/code/fahCode.7z\" target=\"_blank\">Kana-chan</a> avec l'aimable participation de Dylav de Zebulon.fr&nbsp;&ndash;&nbsp;Version $version";
$destWWW = "/var/www/html/site";

$test = 0;

$allianceWWW = "https://www.alliancefrancophone.org";

$fichier_a_lire = "actives_passives";
$is_active = " teamactive";

@ordre_equipe = ( "3dChips", "AMD-Hardware", "Clubic", "Cooling-Masters", "DoDFr", "ENS-CACHAN", "GNT", "KE", "FOUCK", "LEENFAT",
                  "Ancien_Genome", "Fermiers_Genereux", "LesNumeriques", "Nokytech", "PCA", "PCinfo", "INpact", "PcPerf", "PPC", "QuaddXmas",
                  "RAH", "Techage", "TSLN", "Unite-Video", "Zebulon" );

@actives_passives_str = ( "actives", "en sommeil" );
@fichiers_str = ( "Actives", "Sommeil" );
@texte_str = ( "Les mini-teams de l'Alliance Francophone qui repr&eacute;sentent un forum, un site web, ...", "Les mini-teams de l'Alliance Francophone qui n'ont pas contribu&eacute; derni&egrave;rement" );

%corres_equipe = (
  "3dChips"  => team_3dChips,
  "AMD-Hardware" => team_AMDH,
  "Clubic"  => team_Clubic,
  "Cooling-Masters"  => team_CoolingMasters,
  "DoDFr"  => team_DoDFr,
  "ENS-CACHAN"  => team_ENSC,
  "GNT"  => team_GNT,
  "KE"  => team_KE,
  "FOUCK"  => team_FOUCK,
  "LEENFAT"  => team_LEENFAT,
  "Ancien_Genome"  => team_GAH,
  "Fermiers_Genereux"  => team_FG,
  "LesNumeriques"  => team_LesNumeriques,
  "Nokytech"  => team_Nokytech,
  "PCA"  => team_PCA,
  "PCinfo"  => team_PCI,
  "INpact"  => team_Inpact,
  "PcPerf"  => team_PcPerf,
  "PPC"  => team_PPC,
  "QuaddXmas"  => team_QuaddXmas,
  "RAH"  => team_RAH,
  "Techage"  => team_Techage,
  "TSLN"  => team_TSLN,
  "Unite-Video"  => team_UV,
  "Zebulon"  => team_Zebulon
);

@equipe = 0;
@nb_membres = 0;

sub lire_fichier {
  local ($fichier, $enleve) = @_;
  open(equipe_nb, $fichier);
  $cpt = 0;
  $ok_prendre = 0;
  $line = "vide";
  while ($line ne "\n" and $line ne "") {
    $line = <equipe_nb>;
    if ($line ne "\n" and $ok_prendre > $enleve-1) {
      ($equipe[$cpt], $nb_membres[$cpt]) = split(/\t/, $line, 2);
      $nb_membres[$cpt] =~ s/\n//;
      $cpt++;
    }
    $ok_prendre++;
  }
  close(equipe_nb);
}

sub cherche_nb_membres {
  local ($nom_equipe) = @_;
  $nb_membres_equipe = 0;
  $cpt = 0;
  foreach my $nom (@equipe) {
    last if ($nom  eq $nom_equipe);
    $cpt++;
  }
  return $nb_membres[$cpt];
}

open(teamsActives, '>:utf8', "$destWWW/TeamsActives.html");
&entete_fichier("Actives");
open(teamsSommeil, '>:utf8', "$destWWW/TeamsSommeil.html");
&entete_fichier("Sommeil");
open(teamsDKproof, ">go_Dimanche.sh");
print teamsDKproof ("#!/bin/sh\nCURRENT_DATE=\$1\n\n");

lire_fichier($fichier_a_lire.".res", 4);
if ($test == 1) { print("equipe = ", join (", ", @equipe), "\n"); }
if ($test == 1) { print("nb_membres = ", join (", ", @nb_membres), "\n"); }

foreach my $equipe (@ordre_equipe) {
  if (cherche_nb_membres($equipe) > 0) {
    if ($test == 1) { print ("Equipe [$equipe] active\n"); }
    print teamsActives ($corres_equipe{$equipe}($is_active));
    print teamsActives ("\n");
  } else {
    if ($test == 1) { print ("Equipe [$equipe] inactive\n"); }
    print teamsSommeil ($corres_equipe{$equipe}(""));
    print teamsSommeil ("\n");
  }
}

&bas_de_fichier("Actives");
&bas_de_fichier("Sommeil");
close(teamsActives);
close(teamsSommeil);
close(teamsDKproof);
exit;

sub copy_fichier {
  local ($nom_fich) = @_;
  return "\\cp -f ".$nom_fich.".html DK_proof/\${CURRENT_DATE}_".$nom_fich.".html\n\\cp -f ".$nom_fich.".txt DK_proof/\${CURRENT_DATE}_".$nom_fich.".txt\n";
}

sub entete_fichier {
  local ($active_passive) = @_;
  $fichier_en_cours = 0;
  if ($active_passive eq $fichiers_str[1]) {
    $fichier_en_cours = 1;
  }
  $ffile = "teams".$fichiers_str[$fichier_en_cours];
  
  print $ffile ("<!DOCTYPE html>\n");
  print $ffile ("<html><head>\n");
  print $ffile ("<meta http-equiv=\"content-type\" content=\"text/html; charset=UTF8\">\n");
  print $ffile ("<meta charset=\"utf-8\">\n");
  print $ffile ("<title>Stats Alliance Francophone - Folding\@home - miniteams ".$actives_passives_str[$fichier_en_cours]."</title>\n");
  print $ffile ("<link rel=\"stylesheet\" href=\"StatStyle.css\" type=\"text/css\">\n");
  print $ffile ("<!--link rel=\"icon\" type=\"image/png\" href=\"./images_site/favicon.png\"/-->\n");
  print $ffile ("</head>\n");
  print $ffile ("<body>\n");
  print $ffile ("<div id=\"container\">\n");
  print $ffile ("  <div id=\"header\">\n");
  print $ffile ("    <div id=\"logo\">\n");
  print $ffile ("      <div class=\"wrapper\">\n");
  print $ffile ("        <a href=\"".$allianceWWW."\"><img style=\"width:1050px\" src=\"./images_site/logo_1050.png\" title=\"Statistiques de l'Alliance Francophone - Folding\@home\"></a>\n");
  print $ffile ("      </div>\n");
  print $ffile ("    </div>\n");
  print $ffile ("  </div>\n");
  print $ffile ("  <div id=\"main\">\n");
  print $ffile ("    <div id=\"navbar\">\n");
  print $ffile ("      <ul class=\"nav\">\n");
  print $ffile ("        <!--li><a href=\"".$allianceWWW."\">Accueil de l'Alliance</a></li-->\n");
  print $ffile ("        <li><a href=\"../index.html\">Accueil des stats</a></li>\n");
  print $ffile ("        <li><a href=\"../Alliance.html\">Classement membres de l'AF</a></li>\n");
  print $ffile ("        <li><a href=\"../miniteam.html\">Classement mini-teams</a></li>\n");
  print $ffile ("        <li><a href=\"./TeamsStats.html\">Statistiques</a></li>\n");
  print $ffile ("        <li><a href=\"./TeamsPays.html\">Mini-teams pays</a></li>\n");
  if ($fichier_en_cours == 0) {
    print $ffile ("        <li id=\"active\">");
  } else {
    print $ffile ("        <li>");
  }
  print $ffile ("<a href=\"./TeamsActives.html\">Mini-teams actives</a></li>\n");
  if ($fichier_en_cours == 1) {
    print $ffile ("        <li id=\"active\">");
  } else {
    print $ffile ("        <li>");
  }
  print $ffile ("<a href=\"./TeamsSommeil.html\">Mini-teams en sommeil</a></li>\n");
  print $ffile ("        <li><a href=\"https://forum.alliancefrancophone.org/\">Forum de l'Alliance</a></li>\n");
  print $ffile ("      </ul>\n");
  print $ffile ("    </div>\n");
  print $ffile ("    <div id=\"content\">\n");
  print $ffile ("        <a id=\"top\" name=\"top\"></a>\n");
  print $ffile ("        <h2>\n");
  print $ffile ("          <span><img src=\"./images_site/C_".$fichiers_str[$fichier_en_cours].".jpg\" alt=\"\" title=\"\"></span>\n");
  print $ffile ("          ".$texte_str[$fichier_en_cours]."</h2>\n");
  print $ffile ("        <div class=\"row_team\">\n");
  print $ffile ("\n");
}

sub team_3dChips {
  local ($activee) = @_;
  if ($activee ne "") { print teamsDKproof (copy_fichier("3dChips")); }
  return "        <div class=\"team".$activee."\">
          <a class=\"team_title\" href=\"../3dChips.html\">3dChips-fr.com</a>
          <a class=\"team_buton\" href=\"../3dChips.txt\" target=\"_blank\">TXT</a>
          <a class=\"team_buton\" href=\"../miniteams.cfg/mini19.team\" target=\"_blank\">[3dChips]</a>
        </div>\n";
}

sub team_AMDH {
  local ($activee) = @_;
  if ($activee ne "") { print teamsDKproof (copy_fichier("AMD-Hardware")); }
  return "        <div class=\"team".$activee."\">
          <a class=\"team_title\" href=\"../AMD-Hardware.html\">AMD-Hardware.com</a>
          <a class=\"team_buton\" href=\"../AMD-Hardware.txt\" target=\"_blank\">TXT</a>
          <a class=\"team_buton\" href=\"../miniteams.cfg/mini23.team\" target=\"_blank\">[AMD-Hardware.com]</a>
        </div>\n";
}

sub team_Clubic {
  local ($activee) = @_;
  if ($activee ne "") { print teamsDKproof (copy_fichier("Clubic")); }
  return "        <div class=\"team".$activee."\">
          <a class=\"team_title\" href=\"../Clubic.html\">Clubic.com</a>
          <a class=\"team_buton\" href=\"../Clubic.txt\" target=\"_blank\">TXT</a>
          <a class=\"team_buton\" href=\"../miniteams.cfg/mini13.team\" target=\"_blank\">[Clubic]</a>
          <a class=\"team_buton\" href=\"https://www.clubic.com/forum/t/la-team-clubic-folding-home/360401\" target=\"_blank\">Forum</a>
        </div>\n";
}

sub team_CoolingMasters {
  local ($activee) = @_;
  if ($activee ne "") { print teamsDKproof (copy_fichier("Cooling-Masters")); }
  return "        <div class=\"team".$activee."\">
          <a class=\"team_title\" href=\"../Cooling-Masters.html\">Cooling-Master.com</a>
          <a class=\"team_buton\" href=\"../Cooling-Masters.txt\" target=\"_blank\">TXT</a>
          <a class=\"team_buton\" href=\"../miniteams.cfg/mini20.team\" target=\"_blank\">[Cooling-Masters]</a>
        </div>\n";
}

sub team_DoDFr {
  local ($activee) = @_;
  if ($activee ne "") { print teamsDKproof (copy_fichier("DoDFr")); }
  return "        <div class=\"team".$activee."\">
          <a class=\"team_title\" href=\"../DoDFr.html\">DoDFr</a>
          <a class=\"team_buton\" href=\"../DoDFr.txt\" target=\"_blank\">TXT</a>
          <a class=\"team_buton\" href=\"../miniteams.cfg/mini27.team\" target=\"_blank\">[DoDFr]</a>
        </div>\n";
}

sub team_ENSC {
  local ($activee) = @_;
  if ($activee ne "") { print teamsDKproof (copy_fichier("ENS-CACHAN")); }
  return "        <div class=\"team".$activee."\">
          <a class=\"team_title\" href=\"../ENS-CACHAN.html\">ENS-Cachan</a>
          <a class=\"team_buton\" href=\"../ENS-CACHAN.txt\" target=\"_blank\">TXT</a>
          <a class=\"team_buton\" href=\"../miniteams.cfg/mini14.team\" target=\"_blank\">[ENS-Cachan]</a>
        </div>\n";
}

sub team_GNT {
  local ($activee) = @_;
  if ($activee ne "") { print teamsDKproof (copy_fichier("GNT")); }
  return "        <div class=\"team".$activee."\">
          <a class=\"team_title\" href=\"../GNT.html\">G&eacute;n&eacute;ration-NT.com</a>
          <a class=\"team_buton\" href=\"../GNT.txt\" target=\"_blank\">TXT</a>
          <a class=\"team_buton\" href=\"../miniteams.cfg/mini7.team\" target=\"_blank\">[GNT]</a>
          <a class=\"team_buton\" href=\"https://www.generation-nt.com/reponses/calculs-distribues-covid-19-foldingahome-rosettaahome-debian-entraide-4298215.html\" target=\"_blank\">Forum</a>
        </div>\n";
}

sub team_KE {
  local ($activee) = @_;
  if ($activee ne "") { print teamsDKproof (copy_fichier("KE")); }
  return "        <div class=\"team".$activee."\">
          <a class=\"team_title\" href=\"../KE.html\">Knight of Eternity</a>
          <a class=\"team_buton\" href=\"../KE.txt\" target=\"_blank\">TXT</a>
          <a class=\"team_buton\" href=\"../miniteams.cfg/mini10.team\" target=\"_blank\">[KE]</a>
        </div>\n";
}

sub team_FOUCK {
  local ($activee) = @_;
  if ($activee ne "") { print teamsDKproof (copy_fichier("FOUCK")); }
  return "        <div class=\"team".$activee."\">
          <a class=\"team_title\" href=\"../FOUCK.html\">La F(o)uck Team</a>
          <a class=\"team_buton\" href=\"../FOUCK.txt\" target=\"_blank\">TXT</a>
          <a class=\"team_buton\" href=\"../miniteams.cfg/mini25.team\" target=\"_blank\">[FOUCK]</a>
        </div>\n";
}

sub team_LEENFAT {
  local ($activee) = @_;
  if ($activee ne "") { print teamsDKproof (copy_fichier("LEENFAT")); }
  return "        <div class=\"team".$activee."\">
          <a class=\"team_title\" href=\"../LEENFAT.html\">L'Entraide Est Notre Force &Agrave; Tous</a>
          <a class=\"team_buton\" href=\"../LEENFAT.txt\" target=\"_blank\">TXT</a>
          <a class=\"team_buton\" href=\"../miniteams.cfg/mini9.team\" target=\"_blank\">[LEENFAT]</a>
          <a class=\"team_buton\" href=\"http://gkcmatv.free.fr/viewtopic.php?t=58\" target=\"_blank\">Forum</a>
        </div>\n";
}

sub team_GAH {
  local ($activee) = @_;
  if ($activee ne "") { print teamsDKproof (copy_fichier("Ancien_Genome")); }
  return "        <div class=\"team".$activee."\">
          <a class=\"team_title\" href=\"../Ancien_Genome.html\">Les Anciens de Genome\@home</a>
          <a class=\"team_buton\" href=\"../Ancien_Genome.txt\" target=\"_blank\">TXT</a>
          <a class=\"team_buton\" href=\"../miniteams.cfg/mini17.team\" target=\"_blank\">[GAH]</a>
        </div>\n";
}

sub team_FG {
  local ($activee) = @_;
  if ($actives ne "") { print teamsDKproof (copy_fichier("Fermiers_Genereux")); }
  return "        <div class=\"team".$activee."\">
          <a class=\"team_title\" href=\"../Fermiers_Genereux.html\">Les Fermiers G&eacute;n&eacute;reux</a>
          <a class=\"team_buton\" href=\"../Fermiers_Genereux.txt\" target=\"_blank\">TXT</a>
          <a class=\"team_buton\" href=\"../miniteams.cfg/mini11.team\" target=\"_blank\">[FG]</a>
        </div>\n";
}

sub team_LesNumeriques {
  local ($activee) = @_;
  if ($activee ne "") { print teamsDKproof (copy_fichier("LesNumeriques")); }
  return "        <div class=\"team".$activee."\">
          <a class=\"team_title\" href=\"../LesNumeriques.html\">Les Num&eacute;riques</a>
          <a class=\"team_buton\" href=\"../LesNumeriques.txt\" target=\"_blank\">TXT</a>
          <a class=\"team_buton\" href=\"../miniteams.cfg/mini29.team\" target=\"_blank\">[LesNumeriques]</a>
          <a class=\"team_buton\" href=\"https://forum.lesnumeriques.com/t/lesnumeriques-sur-folding-home/141/465\" target=\"_blank\">Forum</a>
        </div>\n";
}

sub team_Nokytech {
  local ($activee) = @_;
  if ($activee ne "") { print teamsDKproof (copy_fichier("Nokytech")); }
  return "        <div class=\"team".$activee."\">
          <a class=\"team_title\" href=\"../Nokytech.html\">Nokytech.net</a>
          <a class=\"team_buton\" href=\"../Nokytech.txt\" target=\"_blank\">TXT</a>
          <a class=\"team_buton\" href=\"../miniteams.cfg/mini8.team\" target=\"_blank\">[Nokytech]</a>
        </div>\n";
}

sub team_PCA {
  local ($activee) = @_;
  if ($activee ne "") { print teamsDKproof (copy_fichier("PCA")); }
  return "        <div class=\"team".$activee."\">
          <a class=\"team_title\" href=\"../PCA.html\">PC-Astuces.com</a>
          <a class=\"team_buton\" href=\"../PCA.txt\" target=\"_blank\">TXT</a>
          <a class=\"team_buton\" href=\"../miniteams.cfg/mini18.team\" target=\"_blank\">[PCA]</a>
          <a class=\"team_buton\" href=\"https://forum.pcastuces.com/aider_la_recherche_contre_le_covid_19-f12s3140.htm\" target=\"_blank\">Forum</a>
        </div>\n";
}

sub team_PCI {
  local ($activee) = @_;
  if ($activee ne "") { print teamsDKproof (copy_fichier("PCinfo")); }
  return "        <div class=\"team".$activee."\">
          <a class=\"team_title\" href=\"../PCinfo.html\">PC-infopratique.com</a>
          <a class=\"team_buton\" href=\"../PCinfo.txt\" target=\"_blank\">TXT</a>
          <a class=\"team_buton\" href=\"../miniteams.cfg/mini16.team\" target=\"_blank\">[pc-infopratique]</a>
          <a class=\"team_buton\" href=\"https://www.pc-infopratique.com/forum-informatique/folding-at-home-faudrait-remettre-vt-84218.html\" target=\"_blank\">Forum</a>
        </div>\n";
}

sub team_Inpact {
  local ($activee) = @_;
  if ($activee ne "") { print teamsDKproof (copy_fichier("INpact")); }
  return "        <div class=\"team".$activee."\">
          <a class=\"team_title\" href=\"../INpact.html\">PC-INpact.com</a>
          <a class=\"team_buton\" href=\"../INpact.txt\" target=\"_blank\">TXT</a>
          <a class=\"team_buton\" href=\"../miniteams.cfg/mini6.team\" target=\"_blank\">[INpact]</a>
          <a class=\"team_buton\" href=\"https://forum.nextinpact.com/topic/3819-foldinghome-la-team-inpact-qui-gu%C3%A9rit-la-plan%C3%A8te/\" target=\"_blank\">Forum</a>
        </div>\n";
}

sub team_PcPerf {
  local ($activee) = @_;
  if ($activee ne "") { print teamsDKproof (copy_fichier("PcPerf")); }
  return "        <div class=\"team".$activee."\">
          <a class=\"team_title\" href=\"../PcPerf.html\">PcPerf.fr</a>
          <a class=\"team_buton\" href=\"../PcPerf.txt\" target=\"_blank\">TXT</a>
          <a class=\"team_buton\" href=\"../miniteams.cfg/mini26.team\" target=\"_blank\">[PcPerf]</a>
          <a class=\"team_buton\" href=\"https://www.pcperf.fr/forum\" target=\"_blank\">Forum</a>
        </div>\n";
}

sub team_PPC {
  local ($activee) = @_;
  if ($activee ne "") { print teamsDKproof (copy_fichier("PPC")); }
  return "        <div class=\"team".$activee."\">
          <a class=\"team_title\" href=\"../PPC.html\">Pr&eacute;sence-PC.com</a>
          <a class=\"team_buton\" href=\"../PPC.txt\" target=\"_blank\">TXT</a>
          <a class=\"team_buton\" href=\"../miniteams.cfg/mini5.team\" target=\"_blank\">[PPC]</a>
          <a class=\"team_buton\" href=\"https://forum.tomshardware.fr/forums/calcul-distribu%C3%A9.78/\" target=\"_blank\">Forum</a>
        </div>\n";
}

sub team_QuaddXmas {
  local ($activee) = @_;
  if ($activee ne "") { print teamsDKproof (copy_fichier("QuaddXmas")); }
  return "        <div class=\"team".$activee."\">
          <a class=\"team_title\" href=\"../QuaddXmas.html\">QuaddXmas</a>
          <a class=\"team_buton\" href=\"../QuaddXmas.txt\" target=\"_blank\">TXT</a>
          <a class=\"team_buton\" href=\"../miniteams.cfg/mini21.team\" target=\"_blank\">[QuaddXmas]</a>
        </div>\n";
}

sub team_RAH {
  local ($activee) = @_;
  if ($activee ne "") { print teamsDKproof (copy_fichier("RAH")); }
  return "        <div class=\"team".$activee."\">
          <a class=\"team_title\" href=\"../RAH.html\">Rh&ocirc;ne-Alpes Hardware.com</a>
          <a class=\"team_buton\" href=\"../RAH.txt\" target=\"_blank\">TXT</a>
          <a class=\"team_buton\" href=\"../miniteams.cfg/mini15.team\" target=\"_blank\">[RAH]</a>
        </div>\n";
}

sub team_Techage {
  local ($activee) = @_;
  if ($activee ne "") { print teamsDKproof (copy_fichier("Techage")); }
  return "        <div class=\"team".$activee."\">
          <a class=\"team_title\" href=\"../Techage.html\">Techage.fr</a>
          <a class=\"team_buton\" href=\"../Techage.txt\" target=\"_blank\">TXT</a>
          <a class=\"team_buton\" href=\"../miniteams.cfg/mini28.team\" target=\"_blank\">[Techage]</a>
        </div>\n";
}

sub team_TSLN {
  local ($activee) = @_;
  if ($activee ne "") { print teamsDKproof (copy_fichier("TSLN")); }
  return "        <div class=\"team".$activee."\">
          <a class=\"team_title\" href=\"../TSLN.html\">Tout sur le net .org</a>
          <a class=\"team_buton\" href=\"../TSLN.txt\" target=\"_blank\">TXT</a>
          <a class=\"team_buton\" href=\"../miniteams.cfg/mini12.team\" target=\"_blank\">[TSLN]</a>
        </div>\n";
}

sub team_UV {
  local ($activee) = @_;
  if ($activee ne "") { print teamsDKproof (copy_fichier("Unite-Video")); }
  return "        <div class=\"team".$activee."\">
          <a class=\"team_title\" href=\"../Unite-Video.html\">Unit&eacute;-Vid&eacute;o.com</a>
          <a class=\"team_buton\" href=\"../Unite-Video.txt\" target=\"_blank\">TXT</a>
          <a class=\"team_buton\" href=\"../miniteams.cfg/mini24.team\" target=\"_blank\">[UV]</a>
        </div>\n";
}

sub team_Zebulon {
  local ($activee) = @_;
  if ($activee ne "") { print teamsDKproof (copy_fichier("Zebulon")); }
  return "        <div class=\"team".$activee."\">
          <a class=\"team_title\" href=\"../Zebulon.html\">Z&eacute;bulon.fr</a>
          <a class=\"team_buton\" href=\"../Zebulon.txt\" target=\"_blank\">TXT</a>
          <a class=\"team_buton\" href=\"../miniteams.cfg/mini22.team\" target=\"_blank\">[Zebulon.fr]</a>
          <a class=\"team_buton\" href=\"https://forum.zebulon.fr/106-zebteam-foldinghome/\" target=\"_blank\">Forum</a>
        </div>\n";
}

sub bas_de_fichier {
  local ($active_passive) = @_;
  $fichier_en_cours = 0;
  if ($active_passive eq $fichiers_str[1]) {
    $fichier_en_cours = 1;
  }
  $ffile = "teams".$fichiers_str[$fichier_en_cours];

  print $ffile ("        <div class=\"latest\">\n");
  print $ffile ("          <div class=\"latest_text\">\n");
  print $ffile ("            <h3>Ces statistiques sont normalement mises &agrave; jour quotidiennement quelques minutes avant 10h00, heure de Paris.</h3>\n");
  print $ffile ("	    <p>&Eacute;labor&eacute; par JGP SOLDAT&nbsp;&ndash;&nbsp;Maintenu par ".$maintenu."</p>\n");
  print $ffile ("          </div>\n");
  print $ffile ("        </div>\n");
  print $ffile ("      </div>\n");
  print $ffile ("    </div>\n");
  print $ffile ("  </div>\n");
  print $ffile ("</div>\n");
  print $ffile ("</body>\n");
  print $ffile ("</html>\n");
}
